<?php
	//---------------------------------------------------------------------------------------------------------
	// 11/Diciembre/2016
	// Versi�n 1.0 Fichero utilizado para mostrar la cabecera de la cesta
	//---------------------------------------------------------------------------------------------------------
	//Parámetros:
	//	1 => Objeto cabecera

$lote = Theme::getLastParam(1);
$linea_actual = Theme::getLastParam(2);
//Vamos a ver cuantas veces está este lote en la cesta, teniendo en cuenta que puedo haber recibido un "special_id"
$cart = CabeceraCesta::getCart();

//Tatiana 19/09/16 añado este if para diferenciar entre los lotes de optativas con precio fijo de los otros lotes. 
if($lote->trabaja_cantidades_pvp){
	
//Ahora vamos a recorrer las líneas del lote para obtener la suma de la cantidad de cada línea que coincida en lote y en special_id:
$cantidad_total = 0;
foreach($cart->lineas as $indice => $linea){
	if ( (intval($linea_actual->codigo_lote) == intval($linea->codigo_lote) ) && 
			(intval($linea_actual->codigo_oferta) == intval($linea->codigo_oferta) ) &&
			(floatval($linea_actual->puntos_gastados) == floatval($linea->puntos_gastados) ) &&
			(trim($linea_actual->special_id) == trim($linea->special_id) ) &&
			(!$linea->linea_lote->optativa)
	){
		$cantidad_total += $linea->cantidad;
	}
}
//Ya se la cantidad total de productos de este lote, vamos a dividir:
$cantidad_lote = $cantidad_total / $lote->cantidad_fija;
//Vamos a sacar los elementos con los que vamos a preparar el scritp:

$lineasLote = 'fx' . uniqid();
?>
<script>
var <?=$lineasLote;?> = new Array();
<?php
	//Si tenemos Special_id hay que recorrer las líneas del pedido en el lote para duplicarlas, en caso contrario cargamos directamente el lote:
	$arrayLineas = array();
	$cabPedido = $linea_actual->objeto_cabecera;
	if ($linea_actual->special_id != ''){
		foreach($cabPedido->lineas as $codigo => $linea){
			if ($linea->special_id == $linea_actual->special_id){
				$arrayLineas[] = $linea;
			}
		}
	}else{
		foreach($cabPedido->lineas as $codigo => $linea){
			if ($linea->codigo_lote == $linea_actual->codigo_lote){
				$arrayLineas[] = $linea;
			}
		}
	}
	//En arrayLineas tenemos las líneas de la cesta que hay que sumar/restar si el usuariopincha en +/-
	foreach($arrayLineas as $clave => $linea){
		?>
		<?=$lineasLote;?>.push({
			ean : '<?=$linea->articulo;?>',
			cantidad:<?=$linea->linea_lote->cantidad;?>,
			accion:'sumar',
			lote:<?=$linea->codigo_lote;?>,
			special_id: '<?=$linea->special_id;?>',
		});
		<?php
	}
	?>
</script>
	<div class="texto_cabecera cabecera_lote">
		<span class="palabra_lote"><?=traducir('Lote:');?></span>
		<p><a href="<?=$lote->url;?>"><?=$lote->nombre;?></a></p>
		<strong><?=number_format( ($lote->precio_web  > 0) ? ($lote->precio_web * $cantidad_lote) : $lote->total, 2);?>&euro;</strong>
		<?php
		//Botones:
		?>
		<div class="cantidad" data-title="Cantidad">
			<div class="menos">
			<?php
			ob_start();
			$script = 'fx' . uniqid();
			?>
			var <?=$script;?> = new Array();
			<?=$lineasLote;?>.forEach(function(element) {
				element.accion = 'restar';
				<?=$script;?>.push(element);
			});
			var data = {lineas_lote : <?=$script;?>};
			WS_data_update(
				'CabeceraCesta',
				'addProductList',
				data,
				'*=\'bloque_lineas\'|*=\'bloque_total_cesta\'|*=\'bloque_tipo_envio\'',
				function(data){
					/*Redimensionamos la cesta:*/
					resizeModalBasket($('[class^=\'linea_cesta\']'), true);
				}
			);
			<?php
			$script_onclick = ob_get_clean();
			$script_onclick = WSMinificator::simpleClean($script_onclick);
			?>
				
				<a rel="nofollow" class="cart_quantity_down btn btn-default button-minus" href="javascript:void(0);" onclick="<?=$script_onclick;?>" title="Sustraer"> 
					<span><i class="mdi mdi-minus"></i></span> 
				</a>
			</div>
			<div class="cantidad_articulos">
				<input size="2" type="text" readonly="" autocomplete="off" class="cart_quantity_input form-control grey" value="<?=$cantidad_lote?>" name="quantity_5_19_0_0">
			</div>
			<div class="mas">
			<?php
			ob_start();
			$script = 'fx' . uniqid();
			?>
			var <?=$script;?> = new Array();
			<?=$lineasLote;?>.forEach(function(element) {
				element.accion = 'sumar';
				<?=$script;?>.push(element);
			});
			var data = {lineas_lote : <?=$script;?>};
			WS_data_update(
				'CabeceraCesta',
				'addProductList',
				data,
				'*=\'bloque_lineas\'|*=\'bloque_total_cesta\'|*=\'bloque_tipo_envio\'',
				function(data){
					/*Redimensionamos la cesta:*/
					resizeModalBasket($('[class^=\'linea_cesta\']'), true);
				}
			);
			<?php
			$script_onclick = ob_get_clean();
			$script_onclick = WSMinificator::simpleClean($script_onclick);
			?>
				<a rel="nofollow" class="cart_quantity_up btn btn-default button-plus" href="javascript:void(0);" onclick="<?=$script_onclick;?>" title="Añadir">
					<span><i class="mdi mdi-plus"></i></span>
				</a>
			</div>
		</div>
		<?php
			ob_start();
			$script = 'fx' . uniqid();
			?>
			var <?=$script;?> = new Array();
			<?=$lineasLote;?>.forEach(function(element) {
				element.accion = 'absoluto';
				element.cantidad = 0;
				<?=$script;?>.push(element);
			});
			var data = {lineas_lote : <?=$script;?>};
			WS_data_update(
				'CabeceraCesta',
				'addProductList',
				data,
				'*=\'bloque_lineas\'|*=\'bloque_total_cesta\'|*=\'bloque_tipo_envio\'',
				function(data){
					/*Redimensionamos la cesta:*/
					resizeModalBasket($('[class^=\'linea_cesta\']'), true);
				}
			);
			<?php
			$script_onclick = ob_get_clean();
			$script_onclick = WSMinificator::simpleClean($script_onclick);
		?>
		<!-- aqui va el boton de eliminar un producto de la cesta -->
		<a class ="eliminar_lote" href="javascript:void(0);" onclick="<?=$script_onclick;?>"><i class="mdi mdi-delete"></i></a>
	</div>
<?php
}else{
	?>
	<div class="texto_cabecera cabecera_lote">
		<span class="palabra_lote"><?=traducir('Lote:');?></span>
		<p><a href="<?=$lote->url;?>"><?=$lote->nombre;?></a></p>
	</div>
	<?php
}
?>